<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_53bfc51e054c55b09ffaa67e35743c" . "96" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgb25jZT1pbnQ6b25jZSBXSEVSRSB1c2VyX2lk" . "PWludDp1X2lkIEFORCBwYWdlX2lkPWludDp1X2lk"), "_48467b7a05f92d5ee95d490c49011" . "8d1" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdI" . "RVJFIHBhZ2VfaWQ9aW50OnBfaWQ="), "_20a787300c0455" . "250233fd06fa038" . "4f4" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFd" . "IRVJFIHVzZXJfaWQgSU4gaW46aW50OnVzZXJzIEFORCBwYW" . "dlX2lkPWludDpwX2lkIEFORCBvbmNlID0gMQ=="), "_c06c961f393742ecfd52b72263a" . "c9470" => base64_decode("aW50dm" . "Fs"), "_b1dd56266fec1e595c364d7bf" . "c1254cb" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgdXNlcl9pZD1pbnQ6bmV3X2lk" . "IFdIRVJFIHVzZXJfaWQ9aW50OnVfaWQ="), "_4ae48f0b4a26" . "d39f5b586b01b" . "eb33fec" => base64_decode("SU5TRVJUIElOVE8gcHVibGlzaF9ub3RpZmljYXRpb25zICh1c2VyX2lkLCBwYWdlX2lkLCBvbmNlKSBWQUxVRVMgKGludDp1X2lkLCBpbnQ6cF9pZCwgaW50Om9u" . "Y2Up"), "_b707d436" . "7ddde579d" . "81c047d54" . "4710e3" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFI" . "HVzZXJfaWQ9aW50OnVfaWQgQU5EIHBhZ2VfaWQ9aW50OnBfaWQ="), "_ffc655ae461b838d" . "ffa4551784bacfca" => base64_decode("U0VMRUNUICogRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgdXNlcl9pZD1pbnQ6dV9pZCBBTkQgcGFnZV9p" . "ZD1pbnQ6cF9pZA=="), "_e656e7cb7f4" . "bfc035dd97e8" . "a7055b847" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmlj" . "YXRpb25zIFdIRVJFIHVzZXJfaWQ9aW50OnVf" . "aWQ="), "_11bb4e3" . "dc1e3624" . "a6ecb568" . "60f9dead" . "0" => base64_decode("U0VMRUNUIHVzZXJfaWQgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnM" . "gV0hFUkUgcGFnZV9pZD1pbnQ6cF9pZA=="), "_2563c0d294fc" . "62089228d12c5" . "7f6da77" => base64_decode("U0VMRUNUIG9uY2UgRlJPTSBwdWJsaXNoX25vd" . "GlmaWNhdGlvbnMgV0hFUkUgdXNlcl9pZCA9IG" . "ludDp1X2lkIEFORCBwYWdlX2lkID0gaW50OnB" . "faWQ="));
use Claromentis\Core\Services;
use Claromentis\Core\DAL;





class PublishNotification extends ErrorHandler
{
    
    
    
    
    public $user_id;
    
    
    
    
    public $page_id;
    
    
    
    
    public $once;
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function __construct($page_id, $_9e63546aa974e7187280d9182de56699 = false)
    {
        $this->page_id = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c06c961f393742ecfd52b72263ac94" . "70"]($page_id);
        $this->user_id = AuthUser::I()->GetId();
        $this->once = $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2563c0d294fc62089228d" . "12c57f6da77"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            list($_9e63546aa974e7187280d9182de56699) = $_1f24efd4735b7a11b391147435e7d35d->fetchRow();
            if ($_9e63546aa974e7187280d9182de56699 != $this->once) {
                $db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_53bfc51e054c55b09ffaa67e3574" . "3c96"], $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_c06c961f393742ecfd52b72" . "263ac9470"]($this->once), $this->user_id, $this->page_id);
            }
        } else {
            $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4ae48f0b4a26d39f5b586b01beb3" . "3fec"], $this->user_id, $this->page_id, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_c06c961f393742ec" . "fd52b72263ac9470"]($this->once));
            $db->query($query);
        }
    }
    
    
    
    
    public function Delete()
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_b707d4367ddde57" . "9d81c047d544710e" . "3"], $this->user_id, $this->page_id);
    }
    
    
    
    
    
    
    public function DeleteSentNotifications($_e4543e131c67c631b14751cc849d1310)
    {
        $db = Services::I()->GetDb();
        if (!empty($_e4543e131c67c631b14751cc849d1310)) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_20a787300c0455250233fd06fa" . "0384f4"], $_e4543e131c67c631b14751cc849d1310, $this->page_id);
        }
    }
    
    
    
    
    
    
    static function DeleteNotificationsForPage($page_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_48467b7a05f92d5ee95d490c4" . "90118d1"], $page_id);
    }
    
    
    
    
    
    
    static function DeleteNotificationsForUser($user_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_e656e7cb7f4bfc035dd97e8a7" . "055b847"], $user_id);
    }
    
    
    
    
    
    
    
    static function ReassignNotifications($user_id, $_4b3e34c8eac2f3dfca4b187bd615a53c)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b1dd56266fec1e595c364d7bfc1254c" . "b"], $_4b3e34c8eac2f3dfca4b187bd615a53c, $user_id);
    }
    
    
    
    
    public function SetOnce($_9e63546aa974e7187280d9182de56699)
    {
        $this->once = (bool) $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    public function IsMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_ffc655ae46" . "1b838dffa45" . "51784bacfca"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            return true;
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function GetUsersMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_11bb4e3dc1e3624" . "a6ecb56860f9dead" . "0"], $this->page_id);
        $_5882c836e9757b405d08e77f1fd2a18b = $_1f24efd4735b7a11b391147435e7d35d->fetchAllValues();
        return $_5882c836e9757b405d08e77f1fd2a18b;
    }
}